io.vertx.rxjava.ext.unit.report

## Class TestCaseReport

- java.lang.Object
- - io.vertx.rxjava.ext.unit.report.TestCaseReport

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class TestCaseReport
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Report the execution of a test case.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TestCaseReport>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCaseReport(Object delegate)`
    `TestCaseReport(TestCaseReport delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestCaseReport` | `endHandler(Handler<TestResult> handler)` Set a callback for completion, the specified `handler` is invoked when the test exec has completed.
    `boolean` | `equals(Object o)`
    `TestCaseReport` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `name()`
    `static TestCaseReport` | `newInstance(TestCaseReport arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TestCaseReport> __TYPE_ARG

  - ### Constructor Detail

    - #### TestCaseReport

          public TestCaseReport(TestCaseReport delegate)

    - #### TestCaseReport

          public TestCaseReport(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TestCaseReport getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### name

          public String name()

      Returns:
        the test case name

    - #### endHandler

          public TestCaseReport endHandler(Handler<TestResult> handler)

      Set a callback for completion, the specified `handler` is invoked when the test exec has completed.
      Parameters:
        `handler` - the completion handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static TestCaseReport newInstance(TestCaseReport arg)

Copyright © 2025 Eclipse. All rights reserved.